package fr.lri.hcc.ilda.touchtokens;

/*
 *   Authors: Caroline Appert (caroline.appert@lri.fr)
 *   Copyright (c) Univ. Paris-Sud XI, 2015. All Rights Reserved
 *   Licensed under the GNU LGPL. For full terms see the file COPYING.
*/

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;


public class MainActivity extends ActionBarActivity {

    public static double SURFACE_WIDTH_MM = -1; // in mm
    public static double SURFACE_HEIGHT_MM = -1; // in mm

    public static double SCREEN_RESOLUTION = -1; // in px.mm-1

    public static TouchTokenRecognizer RECOGNIZER = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        DisplayMetrics metrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(metrics);
        SCREEN_RESOLUTION = metrics.xdpi / 25.4;
        SURFACE_WIDTH_MM = metrics.widthPixels / SCREEN_RESOLUTION;
        SURFACE_HEIGHT_MM = metrics.heightPixels / SCREEN_RESOLUTION;

        Log.v("TOUCHTOKENS", "SURFACE_WIDTH_MM=" + SURFACE_WIDTH_MM + ", SURFACE_HEIGHT_MM=" + SURFACE_HEIGHT_MM + ", SCREEN_RESOLUTION=" + SCREEN_RESOLUTION);

        try {
            InputStream is = getAssets().open("templates.txt");
            RECOGNIZER = new TouchTokenRecognizer(is);
            Log.v("TOUCHTOKENS", "RECOGNIZER=" + RECOGNIZER);
        } catch (FileNotFoundException e1) {
            e1.printStackTrace();
        } catch (IOException e2) {
            e2.printStackTrace();
        }
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
